Jobs
Delete Job
DELETE
/jobs/{job_qrn}Delete a quantum job by its job QRN.
Args:
- job_qrn (string): Job QRN (qBraid Resource Name)
Returns:
- Success message confirming job deletion
Raises:
- 403: You do not have permission to delete this job
- 404: Job is not found
- 422: Validation error if the job_qrn parameter is invalid
Authorizations
X-API-KEYstringheaderrequiredAuthenticate requests using an API key linked to your qBraid account. Obtain your key by registering or logging in at account.qbraid.com.
Path Parameters
job_qrnstringrequiredJob QRN (qBraid Resource Name)
Response
200Successful Response
successbooleanrequiredWhether the deletion was successful
dataobjectrequired403Forbidden
404Job Not Found
422Validation Error
curl --request DELETE \
--url https://api-v2.qbraid.com/api/v1/jobs/%3Cjob_qrn%3E \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api-v2.qbraid.com/api/v1/jobs/%3Cjob_qrn%3E"
headers = {
"X-API-KEY": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.json())const url = "https://api-v2.qbraid.com/api/v1/jobs/%3Cjob_qrn%3E";
const options = {
method: "DELETE",
headers: {"X-API-KEY":"<api-key>"},
};
const response = await fetch(url, options);
console.log(await response.json());{
"success": true,
"data": {
"message": "Job deleted successfully"
}
}{
"detail": "You do not have permission to delete this job"
}{
"detail": "Job not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}DELETE
Delete Job
Delete Job
Response
Fill in the request and press Send to see the live response.200
{
"success": true,
"data": {
"message": "Job deleted successfully"
}
}Was this page helpful?
Thanks for your feedback.

